Skip to content

getIssueFromExternalLink

READ

Get issue from external link.

POST /api/v1/quality/getIssueFromExternalLink
curl -X POST '<your-host>/api/v1/quality/getIssueFromExternalLink' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "externalLinkId": "string",
  "id": "string",
  "nonConformanceId": "string",
  "supplierId": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "nonConformance": {
    "approvalRequirements": [
      "MRB"
    ],
    "assignee": "string",
    "closeDate": "string",
    "companyId": "string",
    "content": "…",
    "createdAt": "string",
    "createdBy": "string",
    "customFields": "…",
    "description": "string",
    "dueDate": "string",
    "id": "string",
    "locationId": "string",
    "name": "string",
    "nonConformanceId": "string",
    "nonConformanceTypeId": "string",
    "nonConformanceWorkflowId": "string",
    "openDate": "string",
    "priority": "Low",
    "quantity": 0,
    "requiredActionIds": [
      "string"
    ],
    "source": "Internal",
    "status": "Closed",
    "tags": [
      "string"
    ],
    "updatedAt": "string",
    "updatedBy": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}